/*
** NEGREG07.SAS
**
** Negative random effects project with Geert Verbeke
**
** (Modelled after Bodyguard random-effects project - REFF05.SAS)
**
** TOENAIL (nailbig) analyses
**
** April 1, 2009
*/

libname n '\document\gg';
libname m '\document\verbeke';


proc nlmixed data=n.toenail; 
title 'NLMIXED with estimates, and gamma-predictions';
mean = beta0 + b0 + beta1*time + beta2*treat + beta3*treat*time;
model nailbig ~ normal(mean,sigma2);
random b0 ~ normal(0,d11) subject=idnum; 
predict (beta0 + b0 + beta1*time + beta2*treat + beta3*treat*time) out=hulp1;
predict (beta0 + (beta1)*time + beta2*treat + beta3*treat*time) out=hulp2;
predict b0 out=hulp3;
run; 

data hulp1;
set hulp1;
ebnormal=pred;
run;

data hulp2;
set hulp2;
margmean=pred;
run;

data hulp3;
set hulp3;
b0=pred;
run;

data m.toenail05a;
merge hulp1 hulp2 hulp3;
keep nailbig time treat idnum ebnormal margmean b0;
run;

proc print data=m.toenail05a;
run;
